import { Selector, createSelector } from '@ngrx/store';
import * as fromRouter from '@ngrx/router-store';

export type State = fromRouter.RouterReducerState;

export function getSelectors<S>(selector: Selector<any, State>) {
  return {
    selectState: createSelector(selector, (state: State) => state.state),
  };
}
